## kontact 24.12.3

=== CMakeLists.txt ===
set(PIM_VERSION "6.3.3")
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
project(kontact VERSION ${PIM_VERSION})
set(RELEASE_SERVICE_VERSION "24.12.3")
set(KF_MIN_VERSION "6.6.0")

# Update it for each release
set(KONTACT_RELEASE_VERSION_DATE "25.03.03") # yy.MM.dd

set(QT_REQUIRED_VERSION "6.7.0")
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMCheckOutboundLicense)

# Do NOT add quote
set(KDEPIM_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KONTACTINTERFACE_LIB_VERSION "6.3.3")
set(PIMCOMMON_LIB_VERSION "6.3.3")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")


find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Widgets WebEngineWidgets)
set(LIBKDEPIM_LIB_VERSION "6.3.3")
set(LIBGRANTLEETHEME_LIB_VERSION "6.3.3")
# Find KF6 package
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} REQUIRED)
find_package(KF6GuiAddons ${KF_MIN_VERSION} REQUIRED)
find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)


# Find KdepimLibs Package
find_package(KPim6KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)

include_directories(${kontact_SOURCE_DIR} ${kontact_BINARY_DIR})
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0  KF 6.8.0)


add_definitions(-DTRANSLATION_DOMAIN=\"kontact\")
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT KONTACT
        FILE kontact.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(GLOB_RECURSE ALL_SOURCE_FILES src/*.cpp src/*.h)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== debian/changelog ===
kontact (4:24.12.3-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 04 May 2025 15:48:53 +0200

kontact (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:50:13 +0100

=== debian/control ===
Source: kontact
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libgrantleetheme-dev (>= 24.12.3~),
               libkdepim-dev (>= 4:24.12.3~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkontactinterface-dev (>= 24.12.3~),
               libpimcommon-dev (>= 4:24.12.3~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://kontact.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kontact
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kontact.git
Rules-Requires-Root: no

Package: kontact
Architecture: amd64 arm64 armhf i386
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends},
Recommends: accountwizard, akregator, kaddressbook, kmail, korganizer,
Homepage: http://kontact.kde.org/
Description: integrated application for personal information management
 Kontact is the integrated solution to your personal information management
 needs. It combines applications like KMail, KOrganizer and
 KAddressBook into a single interface to provide easy access to mail,
 scheduling, address book and other PIM functionality.

## kontact 25.04.0

=== debian/changelog ===
kontact (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:55:42 +0100

kontact (4:24.12.3-0ubuntu2) plucky; urgency=medium

  * Bring back apparmor profile that fixes webengine userns crashes
    Bugfix-only upload. (LP: #2105385)

 -- Scarlett Moore <sgmoore@debian.org>  Sat, 29 Mar 2025 09:25:14 -0700

kontact (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:30 -0500

=== debian/control ===
Source: kontact
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libgrantleetheme-dev (>= 25.04.0~),
               libkdepim-dev (>= 4:25.04.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkontactinterface-dev (>= 25.04.0~),
               libpimcommon-dev (>= 4:25.04.0~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kontact
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kontact
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kontact
Rules-Requires-Root: no

Package: kontact
Architecture: amd64 arm64 armhf i386
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends},
Recommends: accountwizard, akregator, kaddressbook, kmail, korganizer,
Suggests: apparmor
Homepage: http://kontact.kde.org/
Description: integrated application for personal information management
 Kontact is the integrated solution to your personal information management
 needs. It combines applications like KMail, KOrganizer and
 KAddressBook into a single interface to provide easy access to mail,
 scheduling, address book and other PIM functionality.

## kontact 25.04.1

=== debian/changelog ===
kontact (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:12:03 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libgrantleetheme-dev (>= 25.04.0~),
-               libkdepim-dev (>= 4:25.04.0~),
+               libgrantleetheme-dev (>= 25.04.1~),
+               libkdepim-dev (>= 4:25.04.1~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6dbusaddons-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -22,8 +22,8 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kcmutils-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.04.0~),
-               libpimcommon-dev (>= 4:25.04.0~),
+               libkontactinterface-dev (>= 25.04.1~),
+               libpimcommon-dev (>= 4:25.04.1~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## kontact 25.04.2

=== debian/changelog ===
kontact (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:53:09 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libgrantleetheme-dev (>= 25.04.1~),
-               libkdepim-dev (>= 4:25.04.1~),
+               libgrantleetheme-dev (>= 25.04.2~),
+               libkdepim-dev (>= 4:25.04.2~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6dbusaddons-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -22,8 +22,8 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kcmutils-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.04.1~),
-               libpimcommon-dev (>= 4:25.04.1~),
+               libkontactinterface-dev (>= 25.04.2~),
+               libpimcommon-dev (>= 4:25.04.2~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## kontact 25.04.3

=== debian/changelog ===
kontact (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:49:32 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libgrantleetheme-dev (>= 25.04.2~),
-               libkdepim-dev (>= 4:25.04.2~),
+               libgrantleetheme-dev (>= 25.04.3~),
+               libkdepim-dev (>= 4:25.04.3~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6dbusaddons-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -22,8 +22,8 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kcmutils-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.04.2~),
-               libpimcommon-dev (>= 4:25.04.2~),
+               libkontactinterface-dev (>= 25.04.3~),
+               libpimcommon-dev (>= 4:25.04.3~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## kontact 25.07.80

=== debian/changelog ===
kontact (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:43:03 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libgrantleetheme-dev (>= 25.04.3~),
-               libkdepim-dev (>= 4:25.04.3~),
+               libgrantleetheme-dev (>= 25.07.80~),
+               libkdepim-dev (>= 4:25.07.80~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6dbusaddons-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -22,8 +22,8 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kcmutils-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.04.3~),
-               libpimcommon-dev (>= 4:25.04.3~),
+               libkontactinterface-dev (>= 25.07.80~),
+               libpimcommon-dev (>= 4:25.07.80~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## kontact 25.07.90

=== debian/changelog ===
kontact (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:53:24 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libgrantleetheme-dev (>= 25.07.80~),
-               libkdepim-dev (>= 4:25.07.80~),
+               libgrantleetheme-dev (>= 25.07.90~),
+               libkdepim-dev (>= 4:25.07.90~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6dbusaddons-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -22,8 +22,8 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kcmutils-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.07.80~),
-               libpimcommon-dev (>= 4:25.07.80~),
+               libkontactinterface-dev (>= 25.07.90~),
+               libpimcommon-dev (>= 4:25.07.90~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## kontact 25.08.0

=== CMakeLists.txt ===
set(PIM_VERSION "6.5.0")
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
project(kontact VERSION ${PIM_VERSION})
set(RELEASE_SERVICE_VERSION "25.08.0")

# Use true if stable version => we will check specific version
set(KONTACT_STABLE_VERSION true)

# Update it for each release
set(KONTACT_RELEASE_VERSION_DATE "25.08.10") # yy.MM.dd

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMCheckOutboundLicense)

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KONTACTINTERFACE_LIB_VERSION "6.5.0")
set(PIMCOMMON_LIB_VERSION "6.5.0")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        DBus
        Widgets
        WebEngineWidgets
)
set(LIBKDEPIM_LIB_VERSION "6.5.0")
set(LIBGRANTLEETHEME_LIB_VERSION "6.5.0")
# Find KF6 package
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} REQUIRED)
find_package(KF6GuiAddons ${KF_MIN_VERSION} REQUIRED)
find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(
    KF6DocTools
    PROPERTIES
        DESCRIPTION
            "Tools to generate documentation"
        TYPE
            OPTIONAL
)

# Find KdepimLibs Package
find_package(KPim6KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)

include_directories(
    ${kontact_SOURCE_DIR}
    ${kontact_BINARY_DIR}
)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.16.0)

add_definitions(-DTRANSLATION_DOMAIN=\"kontact\")
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT KONTACT
        FILE kontact.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== debian/changelog ===
kontact (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:56:22 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libgrantleetheme-dev (>= 25.07.90~),
-               libkdepim-dev (>= 4:25.07.90~),
+               libgrantleetheme-dev (>= 25.08.0~),
+               libkdepim-dev (>= 4:25.08.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6dbusaddons-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -22,8 +22,8 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kcmutils-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.07.90~),
-               libpimcommon-dev (>= 4:25.07.90~),
+               libkontactinterface-dev (>= 25.08.0~),
+               libpimcommon-dev (>= 4:25.08.0~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## kontact 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-set(PIM_VERSION "6.5.0")
+set(PIM_VERSION "6.5.1")
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 project(kontact VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.08.0")
+set(RELEASE_SERVICE_VERSION "25.08.1")
 
 # Use true if stable version => we will check specific version
 set(KONTACT_STABLE_VERSION true)
@@ -63,8 +63,8 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KONTACTINTERFACE_LIB_VERSION "6.5.0")
-set(PIMCOMMON_LIB_VERSION "6.5.0")
+set(KONTACTINTERFACE_LIB_VERSION "6.5.1")
+set(PIMCOMMON_LIB_VERSION "6.5.1")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -78,8 +78,8 @@
         Widgets
         WebEngineWidgets
 )
-set(LIBKDEPIM_LIB_VERSION "6.5.0")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.5.0")
+set(LIBKDEPIM_LIB_VERSION "6.5.1")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.5.1")
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kontact (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:10:55 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libgrantleetheme-dev (>= 25.08.0~),
-               libkdepim-dev (>= 4:25.08.0~),
+               libgrantleetheme-dev (>= 25.08.1~),
+               libkdepim-dev (>= 4:25.08.1~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6dbusaddons-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -22,8 +22,8 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kcmutils-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.08.0~),
-               libpimcommon-dev (>= 4:25.08.0~),
+               libkontactinterface-dev (>= 25.08.1~),
+               libpimcommon-dev (>= 4:25.08.1~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## kontact 25.08.1+p24.04+vstable+git20250926.1141

=== debian/changelog ===
kontact (4:25.08.1+p24.04+vstable+git20250926.1141-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 11:41:16 +0000

kontact (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:43:03 +0000

kontact (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:10:05 +0000

kontact (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:39:15 +0000

kontact (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:39:01 +0000

kontact (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:28:13 +0000

kontact (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:39:04 +0000

kontact (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:01:59 +0000

kontact (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:42:15 +0000

kontact (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:34:00 +0000

kontact (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:30:17 +0000

kontact (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:39:51 +0000

kontact (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:17:18 +0000

kontact (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:47:55 +0000

kontact (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:46:09 +0000

kontact (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:23:34 +0000

kontact (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:41:39 +0000

kontact (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:33:26 +0000

kontact (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:24:08 +0000

kontact (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:04:07 +0000

kontact (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 17:10:59 +0000

kontact (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:38:03 +0000

kontact (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:25:26 +0000

kontact (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:10:15 +0000

kontact (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:41:32 +0000

kontact (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:31:29 +0000

kontact (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:07:58 +0000

kontact (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:44:03 +0000

kontact (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:49:35 +0000

kontact (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:10:55 +0000

kontact (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Sep 2022 10:08:16 +0000

kontact (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:13:41 +0000

kontact (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:00:39 +0000

kontact (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:22:21 +0000

kontact (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:17:03 +0000

kontact (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:33:58 +0000

kontact (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:05:49 +0000

kontact (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:06:49 +0000

kontact (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:11:20 +0000

kontact (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:33:50 +0000

kontact (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:21:15 +0000

kontact (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:58:19 +0000

kontact (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 12:06:55 +0000

kontact (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:58:07 +0000

kontact (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:25:25 +0000

kontact (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:03:38 +0000

kontact (4:20.12.2-0neon) focal; urgency=medium

  * New release



## kontact 25.08.1+p24.04+vstable+git20251001.0104

=== debian/changelog ===
kontact (4:25.08.1+p24.04+vstable+git20251001.0104-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 01:04:31 +0000

## kontact 25.08.2

=== src/CMakeLists.txt ===
configure_file(kontact-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/kontact-version.h @ONLY)
configure_file(config-kontact.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kontact.h)
add_subdirectory(about)
add_library(kontactprivate)

########### next target ###############

target_sources(
    kontactprivate
    PRIVATE
        webengine/introductionwebenginepage.cpp
        webengine/introductionwebengineview.cpp
        mainwindow.cpp
        sidepanebase.cpp
        iconsidepane.cpp
        ksettingsdialog/kontactkcmultidialog.cpp
        ksettingsdialog/kontactsettingsdialog.cpp
        kontactconfiguredialog.cpp
        webengine/introductionwebenginepage.h
        webengine/introductionwebengineview.h
        mainwindow.h
        sidepanebase.h
        iconsidepane.h
        ksettingsdialog/kontactkcmultidialog.h
        ksettingsdialog/kontactsettingsdialog.h
        ksettingsdialog/kontactkcmultidialog_p.h
        ksettingsdialog/kontactsettingsdialog_p.h
        kontactconfiguredialog.h
        kontact.qrc
)

ecm_qt_declare_logging_category(kontactprivate HEADER kontact_debug.h IDENTIFIER KONTACT_LOG CATEGORY_NAME org.kde.pim.kontact
        DESCRIPTION "kontact (kontact application)"
        OLD_CATEGORY_NAMES log_kontact
        EXPORT KONTACT
)

kconfig_add_kcfg_files(kontactprivate prefs.kcfgc)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        kontactprivate
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

generate_export_header(kontactprivate BASE_NAME kontact)

target_link_libraries(
    kontactprivate
    PUBLIC
        KF6::IconThemes
    PRIVATE
        KF6::KCMUtils
        KF6::I18n
        KF6::KIOWidgets
        KPim6::KontactInterface
        KF6::GuiAddons
        KPim6::Libkdepim
        KPim6::PimCommon
        KPim6::GrantleeTheme
        Qt::WebEngineWidgets
)

set_target_properties(
    kontactprivate
    PROPERTIES
        VERSION
            ${KDEPIM_LIB_VERSION}
        SOVERSION
            ${KDEPIM_LIB_SOVERSION}
)

install(
    TARGETS
        kontactprivate
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    LIBRARY
        NAMELINK_SKIP
)

########### next target ###############

file(GLOB icons "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-kontact.png")
ecm_add_app_icon(kontact_bin_SRCS ICONS ${icons})

add_executable(kontact_bin)
target_sources(
    kontact_bin
    PRIVATE
        main.cpp
        kontact_debug.cpp
)

set_target_properties(
    kontact_bin
    PROPERTIES
        OUTPUT_NAME
            kontact
)

target_link_libraries(
    kontact_bin
    kontactprivate
    KF6::I18n
    KPim6::KontactInterface
    KF6::Crash
    Qt::DBus
    KF6::IconThemes
)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        kontact_bin
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
install(
    TARGETS
        kontact_bin
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

########### next target ###############

add_library(
    kcm_kontact
    MODULE
    kcmkontact.cpp
    kcmkontact.h
)
target_link_libraries(
    kcm_kontact
    KF6::I18n
    KF6::KCMUtils
    KPim6::Libkdepim
    kontactprivate
    KF6::KIOWidgets
    KPim6::KontactInterface
)

install(TARGETS kcm_kontact DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/kontact)

########### install files ###############

install(PROGRAMS data/org.kde.kontact.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES data/org.kde.kontact.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES kontact.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
configure_file(data/org.kde.kontact.service.in org.kde.kontact.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kontact.service DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})

add_subdirectory(icons)

=== src/about/CMakeLists.txt ===
install(
    FILES
        introduction_kontact.html
        loading_kontact.html
    DESTINATION ${KDE_INSTALL_DATADIR}/messageviewer/about/default
)

=== debian/changelog ===
kontact (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:50:51 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libgrantleetheme-dev (>= 25.08.1~),
-               libkdepim-dev (>= 4:25.08.1~),
+               libgrantleetheme-dev (>= 25.08.2~),
+               libkdepim-dev (>= 4:25.08.2~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6dbusaddons-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -22,8 +22,8 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kcmutils-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.08.1~),
-               libpimcommon-dev (>= 4:25.08.1~),
+               libkontactinterface-dev (>= 25.08.2~),
+               libpimcommon-dev (>= 4:25.08.2~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## kontact 25.08.2+p24.04+vstable+git20251015.2042

=== debian/changelog ===
kontact (4:25.08.2+p24.04+vstable+git20251015.2042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:42:06 +0000

kontact (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:27:28 +0000

## kontact 25.08.2+p24.04+vstable+git20251019.0855

=== debian/changelog ===
kontact (4:25.08.2+p24.04+vstable+git20251019.0855-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:55:33 +0000

=== debian/control ===
Source: kontact
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kauth-dev,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdnssd-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kitemviews-dev,
               kf6-knewstuff-dev,
               kf6-knotifyconfig-dev,
               kf6-kservice-dev,
               kf6-ktextaddons-dev,
               kf6-ktexteditor-dev,
               kf6-ktexttemplate-dev,
               kf6-ktextwidgets-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-sonnet-dev,
               kpim6-akonadi-dev,
               kpim6-eventviews-dev,
               kpim6-grantleetheme-dev,
               kpim6-kontactinterface-dev,
               kpim6-kpimtextedit-dev,
               kpim6-libkdepim-dev,
               kpim6-libkdepim-dev,
               kpim6-mailcommon-dev,
               kpim6-messagelib-dev,
               kpim6-mimetreeparser-dev,
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpgme11-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools-neon,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-phonon-dev,
               qt6-tools-dev,
               qt6-webchannel-dev,
               qt6-webengine-dev,
               shared-mime-info,
               xsltproc,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kontact.git
Vcs-Browser: https://invent.kde.org/neon/kde/kontact
Maintainer: Neon CI <neon@kde.org>

Package: kontact
Architecture: any
Depends: kpim6-kdepim-runtime,
         qt6-webengine,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: accountwizard, akregator, kaddressbook, kmail, knotes, korganizer
Homepage: http://kontact.kde.org/
Description: integrated application for personal information management
 Kontact is the integrated solution to your personal information management
 needs. It combines applications like KMail, KOrganizer and
 KAddressBook into a single interface to provide easy access to mail,
 scheduling, address book and other PIM functionality.
 .

## kontact 25.08.2+p24.04+vstable+git20251026.0206

=== debian/changelog ===
kontact (4:25.08.2+p24.04+vstable+git20251026.0206-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 26 Oct 2025 02:06:39 +0000

## kontact 25.08.2+p24.04+vstable+git20251031.0406

=== debian/changelog ===
kontact (4:25.08.2+p24.04+vstable+git20251031.0406-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 04:06:48 +0000

## kontact 25.08.2+p24.04+vunstable+git20251020.0745

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.40")
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 project(kontact VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.08.1")
+set(RELEASE_SERVICE_VERSION "25.11.70")
 
 # Use true if stable version => we will check specific version
-set(KONTACT_STABLE_VERSION true)
+set(KONTACT_STABLE_VERSION false)
 
 # Update it for each release
-set(KONTACT_RELEASE_VERSION_DATE "25.08.10") # yy.MM.dd
+set(KONTACT_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
 
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.17.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
@@ -52,9 +52,10 @@
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
 include(ECMCheckOutboundLicense)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -63,8 +64,8 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KONTACTINTERFACE_LIB_VERSION "6.5.1")
-set(PIMCOMMON_LIB_VERSION "6.5.1")
+set(KONTACTINTERFACE_LIB_VERSION "6.5.40")
+set(PIMCOMMON_LIB_VERSION "6.5.40")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -78,8 +79,10 @@
         Widgets
         WebEngineWidgets
 )
-set(LIBKDEPIM_LIB_VERSION "6.5.1")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.5.1")
+set(LIBKDEPIM_LIB_VERSION "6.5.40")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.5.40")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
+
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -103,12 +106,18 @@
 find_package(KPim6GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
 find_package(KPim6PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
 
+find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
+
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
+    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
+endif()
+
 include_directories(
     ${kontact_SOURCE_DIR}
     ${kontact_BINARY_DIR}
 )
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.19.0)
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kontact\")
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
kontact (4:25.08.2+p24.04+vunstable+git20251020.0745-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 07:45:03 +0000

## kontact 25.08.2+p24.04+vunstable+git20251021.0543

=== debian/changelog ===
kontact (4:25.08.2+p24.04+vunstable+git20251021.0543-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:43:19 +0000

## kontact 25.08.2+p24.04+vunstable+git20251022.0236

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Update it for each release
 set(KONTACT_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
 
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

=== debian/changelog ===
kontact (4:25.08.2+p24.04+vunstable+git20251022.0236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 02:36:50 +0000

## kontact 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.5.3")
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 project(kontact VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.11.70")
+set(RELEASE_SERVICE_VERSION "25.08.3")
 
 # Use true if stable version => we will check specific version
-set(KONTACT_STABLE_VERSION false)
+set(KONTACT_STABLE_VERSION true)
 
 # Update it for each release
-set(KONTACT_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
+set(KONTACT_RELEASE_VERSION_DATE "25.11.03") # yy.MM.dd
 
-set(KF_MIN_VERSION "6.18.0")
+set(KF_MIN_VERSION "6.14.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
@@ -52,10 +52,9 @@
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
 include(ECMCheckOutboundLicense)
-set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION alpha)
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -64,8 +63,8 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KONTACTINTERFACE_LIB_VERSION "6.5.40")
-set(PIMCOMMON_LIB_VERSION "6.5.40")
+set(KONTACTINTERFACE_LIB_VERSION "6.5.3")
+set(PIMCOMMON_LIB_VERSION "6.5.3")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -79,10 +78,8 @@
         Widgets
         WebEngineWidgets
 )
-set(LIBKDEPIM_LIB_VERSION "6.5.40")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.5.40")
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
-
+set(LIBKDEPIM_LIB_VERSION "6.5.3")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.5.3")
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -106,18 +103,12 @@
 find_package(KPim6GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
 find_package(KPim6PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
 
-find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
-
-if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
-    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
-endif()
-
 include_directories(
     ${kontact_SOURCE_DIR}
     ${kontact_BINARY_DIR}
 )
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.19.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.16.0)
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kontact\")
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== doc/kontact/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kontact)

=== debian/changelog ===
kontact (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:26:35 +0000

=== debian/control ===
Source: kontact
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libgrantleetheme-dev (>= 25.08.3~),
               libkdepim-dev (>= 4:25.08.3~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkontactinterface-dev (>= 25.08.3~),
               libpimcommon-dev (>= 4:25.08.3~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kontact
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kontact
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kontact
Rules-Requires-Root: no

Package: kontact
Architecture: amd64 arm64 armhf i386
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends},
Recommends: accountwizard, akregator, kaddressbook, kmail, korganizer,
Suggests: apparmor
Homepage: http://kontact.kde.org/
Description: integrated application for personal information management
 Kontact is the integrated solution to your personal information management
 needs. It combines applications like KMail, KOrganizer and
 KAddressBook into a single interface to provide easy access to mail,
 scheduling, address book and other PIM functionality.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_install:
	mkdir -p debian/kontact/etc/apparmor.d
	cp debian/kontact-apparmor debian/kontact/etc/apparmor.d/usr.bin.kontact
	dh_apparmor --profile-name=usr.bin.kontact -pkontact
